Upgrade database Piwik from 0.2.9 to 0.4.1


(Misterx) #1

I updated Piwik to 0.4.1. Now, it says upgrade database Piwik from 0.2.9 to 0.4.1. Fine, when I want to upgrade it runs the Loader.php but the upgrade fails with the following message:

Parse error: syntax error, unexpected T_THROW, expecting T_FUNCTION in /homepages/32/d233076604/htdocs/piwik/core/Loader.php on line 57

What ist the problem here? I don’t know. Thanks for any help.


(vipsoft) #2

Please install 0.4.1 into a new directory, rather than extracting/overwriting an existing installation, as you may have a mix of old and new files.